DOMCdataSection
DOMCharacterData
DOMCdataSection
PHP Manual

# DOMCdataSection::__construct

Constructs a new DOMCdataSection object

### Description

public DOMCdataSection::__construct ( string `$value` )

Constructs a new CDATA node. This works like the DOMText class.

### Parameters

`value`

  The value of the CDATA node. If not supplied, an empty CDATA node is created.

### Examples

Example #1 Creating a new DOMCdataSection object

`<?php
$dom = new DOMDocument('1.0', 'utf-8');
$element = $dom->appendChild(new DOMElement('root'));
$text = $element->appendChild(new DOMCdataSection('root value'));
echo $dom->saveXML();
?>`

The above example will output:

    <?xml version="1.0" encoding="utf-8"?>
    <root><![CDATA[root value]]></root>

### See Also

- DOMText::__construct
- DOMDocument::createTextNode